For the complete documentation index, see llms.txt. This page is also available as Markdown.

Followers

Followers are users who have engaged with your board or are tracking specific Ideas or Announcements for updates. These users are often referred to as tracked users

Follower object

Followers have the following fields

Field
Details

idx string

A unique identifier for the follower

name string

Name of the follower

email string

Email address of the follower

avatar string

Profile image of the follower (URL)

attributes object

Custom attributes for the follower (included when include_attributes=true)

companies array

Companies the follower is associated with (included when include_attributes=true)

created_at string

Date the follower was created

updated_at string

Date the follower was last updated

attributes and companies are only returned when you pass include_attributes=true. Each entry in companies contains id (company source identifier, a string), name, monthly_spend, and an attributes object of custom company attributes.

Endpoints

You can use the following endpoints to manage Topics

List followers

List followers

get

Returns a list of followers

Authorizations
AuthorizationstringRequired

API key in Authorization header with Bearer prefix (recommended)

Query parameters
limitintegerOptional

Limits the number of items on a page

Default: 20
afterstringOptional

The after cursor - used for pagination

include_attributesbooleanOptional

Include custom attributes in the response

Responses
200

Successfully returned a list of followers

application/json
get/followers
GET /v1/followers HTTP/1.1
Host: api.frill.co
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "data": [
    {
      "idx": "follower_abcd1234",
      "name": "John Smith",
      "email": "john@example.com",
      "avatar": "https://example.com/example.jpg",
      "attributes": {
        "job_title": "Product Manager",
        "birth_date": "1990-05-15",
        "department": "Engineering"
      },
      "companies": [
        {
          "id": "acme-123",
          "name": "Acme Corp",
          "monthly_spend": 500,
          "attributes": {
            "industry": "tech",
            "plan": "Enterprise"
          }
        }
      ],
      "created_at": "text",
      "updated_at": "text"
    }
  ],
  "pagination": {
    "total": 10,
    "before": "before-cursor",
    "after": "after-cursor"
  }
}

Search for a follower

get

Search for followers by email

Authorizations
AuthorizationstringRequired

API key in Authorization header with Bearer prefix (recommended)

Query parameters
emailstringRequired
include_attributesbooleanOptional

Include custom attributes in the response

Responses
200

Successfully returned a list of followers

application/json
get/followers/search
GET /v1/followers/search?email=text HTTP/1.1
Host: api.frill.co
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "data": [
    {
      "idx": "follower_abcd1234",
      "name": "John Smith",
      "email": "john@example.com",
      "avatar": "https://example.com/example.jpg",
      "attributes": {
        "job_title": "Product Manager",
        "birth_date": "1990-05-15",
        "department": "Engineering"
      },
      "companies": [
        {
          "id": "acme-123",
          "name": "Acme Corp",
          "monthly_spend": 500,
          "attributes": {
            "industry": "tech",
            "plan": "Enterprise"
          }
        }
      ],
      "created_at": "text",
      "updated_at": "text"
    }
  ],
  "pagination": {
    "total": 10,
    "before": "before-cursor",
    "after": "after-cursor"
  }
}

Create Follower

Create a follower

post

Create a new follower

Authorizations
AuthorizationstringRequired

API key in Authorization header with Bearer prefix (recommended)

Body
namestringRequired

Name of the follower

Example: John Smith
emailstringRequired

Email address of the follower

Example: john@example.com
attributesobjectOptional

Custom attributes for the follower (key-value pairs)

Example: {"job_title":"Product Manager","birth_date":"1990-05-15","department":"Engineering"}
Responses
200

Successfully created a new follower

application/json
post/followers
POST /v1/followers HTTP/1.1
Host: api.frill.co
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 309

{
  "name": "John Smith",
  "email": "john@example.com",
  "attributes": {
    "job_title": "Product Manager",
    "birth_date": "1990-05-15",
    "department": "Engineering"
  },
  "companies": [
    {
      "id": "acme-123",
      "name": "Acme",
      "monthly_spend": 50,
      "plan": "Business"
    },
    {
      "id": "techcorp-456",
      "name": "TechCorp",
      "monthly_spend": 150,
      "plan": "Enterprise"
    }
  ]
}
{
  "data": {
    "idx": "follower_abcd1234",
    "name": "John Smith",
    "email": "john@example.com",
    "avatar": "https://example.com/example.jpg",
    "attributes": {
      "job_title": "Product Manager",
      "birth_date": "1990-05-15",
      "department": "Engineering"
    },
    "companies": [
      {
        "id": "acme-123",
        "name": "Acme Corp",
        "monthly_spend": 500,
        "attributes": {
          "industry": "tech",
          "plan": "Enterprise"
        }
      }
    ],
    "created_at": "text",
    "updated_at": "text"
  }
}

Update Follower

Update a follower

post

Update an existing follower

Authorizations
AuthorizationstringRequired

API key in Authorization header with Bearer prefix (recommended)

Path parameters
followerIdxstringRequired

The unique identifier for the follower

Body
namestringOptional

Name of the follower (optional)

Example: John Smith
emailstringOptional

Email address of the follower (optional)

Example: john@example.com
attributesobjectOptional

Custom attributes to merge with existing attributes (key-value pairs, optional)

Example: {"job_title":"Senior Product Manager","department":"Product","location":"San Francisco"}
Responses
200

Successfully updated the follower

application/json
post/followers/{followerIdx}
POST /v1/followers/{followerIdx} HTTP/1.1
Host: api.frill.co
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 236

{
  "name": "John Smith",
  "email": "john@example.com",
  "attributes": {
    "job_title": "Senior Product Manager",
    "department": "Product",
    "location": "San Francisco"
  },
  "companies": [
    {
      "id": "acme-123",
      "name": "Acme",
      "monthly_spend": 100,
      "plan": "Enterprise"
    }
  ]
}
{
  "data": {
    "idx": "follower_abcd1234",
    "name": "John Smith",
    "email": "john@example.com",
    "avatar": "https://example.com/example.jpg",
    "attributes": {
      "job_title": "Product Manager",
      "birth_date": "1990-05-15",
      "department": "Engineering"
    },
    "companies": [
      {
        "id": "acme-123",
        "name": "Acme Corp",
        "monthly_spend": 500,
        "attributes": {
          "industry": "tech",
          "plan": "Enterprise"
        }
      }
    ],
    "created_at": "text",
    "updated_at": "text"
  }
}

Delete a follower

Delete a follower

delete

Delete a follower

Authorizations
AuthorizationstringRequired

API key in Authorization header with Bearer prefix (recommended)

Path parameters
followerIdxstringRequired

The unique identifier for the follower

Query parameters
contentstring · enumOptional

Action to take with follower's content: 'delete' removes all content, 'reassign' transfers content to an anonymous user

Default: deletePossible values:
Responses
200

Request was successful

application/json
successbooleanOptional
messagestringOptionalExample: Request was successful
delete/followers/{followerIdx}
DELETE /v1/followers/{followerIdx} HTTP/1.1
Host: api.frill.co
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "success": true,
  "message": "Request was successful"
}

Last updated